summaryrefslogtreecommitdiffstats
path: root/perf-framework/setbatch
diff options
context:
space:
mode:
Diffstat (limited to 'perf-framework/setbatch')
-rwxr-xr-xperf-framework/setbatch25
1 files changed, 25 insertions, 0 deletions
diff --git a/perf-framework/setbatch b/perf-framework/setbatch
new file mode 100755
index 0000000..fb18585
--- /dev/null
+++ b/perf-framework/setbatch
@@ -0,0 +1,25 @@
+#!/bin/bash -u
+
+TARBALL_DIR=./tarballs
+function usage()
+{
+ echo "Usage : $0 <gluster_release_tarball_list>"
+ exit 1
+}
+
+if [ $# -lt 1 ]
+then
+ usage
+fi
+
+list=`echo $@`
+for i in $list
+do
+ if [ ! -f $TARBALL_DIR/$i ]
+ then
+ echo "$i not found in directory $TARBALL_DIR. Provide correct list."
+ exit
+ fi
+done
+
+sed -i "s/^RUNLIST=.*$/RUNLIST=\"$list\"/" batchrun